Copy PageUpdate a CustomerPaymentAccountput https://api.isx-stage-westeurope.instellix.io/v2/customer-payment-accounts/{customerPaymentAccountIdent}Update a CustomerPaymentAccount.Path ParamscustomerPaymentAccountIdentstringrequiredIdent of the customer payment account.Query ParamsactionstringOptional action executed after a CustomerPaymentAccount has been persisted. replaceFailedPaymentIntents: Replace failed payment intents of the debtor. Newly created payment intents reference this CustomerPaymentAccount. Omitting the parameter does not cancel or create payment intents. Unknown values are rejected with HTTP 400. One of: replaceFailedPaymentIntentsBody ParamsA CustomerPaymentAccount with payment details that is assigned to a specific debtorIdent.accountCreationDatestringnullDate when the payment account was created at the payment provider. Required e.g. for some external mandate managements in the SEPA environment.accountHolderNamestring | nullAccount holder name used for the charging. Size must be less than or equal to 255.displayNamestring | nullName for the customer payment account displayed on invoices. Do not send full payment data like credit card no, IBAN, etc. Size must be less than or equal to 255.merchantPaymentGatewayIdentstringrequiredlength between 1 and 100^[a-zA-Z0-9_.~-]*$Unique identifier.namestring | nulldeprecatedName of the customer payment account. Size must be less than or equal to 255.paymentCardTypeCardType | nullThe vendor of the credit card.paymentCardType CardType | nullpaymentMethodCustomerPaymentMethod | nullPayment method associated with the customerPaymentAccount via the paymentProviderReference. The specification is only for further explanation and has no effect on the actual selection of the payment method. This is determined entirely by specifying the paymentProviderReference or additionally by the paymentMethodReference.paymentMethod CustomerPaymentMethod | nullpaymentMethodReferencestring | nullExternal reference to identify the authorization or mandate of the payment method at the payment provider. This is optional because some payment providers require a general customer reference (paymentProviderReference) and a payment method reference (paymentMethodReference) in order to process a payment. Size must be less than or equal to 255.paymentProviderReferencestringrequiredlength between 1 and 255^\S(.*\S)?$External reference to identify the account at the payment provider. For example the IBAN when using DIRECT_DEBIT as PaymentProviderType. Must not be null. Size must be between 1 and 255. Must match the regular expression ^\S(.*\S)?$.propertiesarray | nullAdditional properties of the customer payment account.properties array | nullResponses 200Standard response for successful HTTP requests. 4XXClient error 5XXServer errorUpdated 4 months ago Retrieve a CustomerPaymentAccountChange health statusDid this page help you?YesNo